$(document).on('click', 'a.smoothScroll', function(e) {
	e.preventDefault();
	var href = $(this).attr('href'), spread = $(href);
	window.history.pushState(null, null, href);
	$("html, body").animate({ scrollTop: spread.offset().top+'px' });
}).on('click', '#webmanualintro .close', function() {
	$(this).closest('#webmanualintro').fadeOut(function() { $(this).remove(); });
}).on('click', '#generation_errors .close', function() {
	$(this).closest('#generation_errors').fadeOut(function() { $(this).remove(); });
});